Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex DataLens
  • DataLens Gallery
    • How to use the Public API
    • Versioning
    • Release notes
      • Overview
        • Overview
        • 🚧 [Experimental] List Spark applications
        • 🚧 [Experimental] Get Spark application
        • 🚧 [Experimental] Create Spark application
        • 🚧 [Experimental] Cancel Spark application
        • 🚧 [Experimental] List Spark application log
  • Audit Trails events

In this article:

  • Request
  • Headers
  • Body
  • Responses
  • 200 OK
  • Body
  1. DataLens Public API
  2. DataLens API
  3. SparkApplications
  4. 🚧 [Experimental] Create Spark application
Written by
Yandex Cloud
View in Markdown
  • Request
    • Headers
    • Body
  • Responses
  • 200 OK
    • Body

🚧 [Experimental] Create Spark application

Creates a Spark application and returns an asynchronous operation.

RequestRequest

POST

https://api.datalens.tech/rpc/createSparkApplication

HeadersHeaders

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 3

Example: 3

BodyBody

application/json
{
  "clusterId": "example",
  "name": "example",
  "catalogs": [
    {
      "catalogId": "example"
    }
  ],
  "sparkApplication": {
    "args": [
      "example"
    ],
    "jarFileUris": [
      "example"
    ],
    "fileUris": [
      "example"
    ],
    "archiveUris": [
      "example"
    ],
    "properties": {},
    "mainJarFileUri": "example",
    "mainClass": "example",
    "packages": [
      "example"
    ],
    "repositories": [
      "example"
    ],
    "excludePackages": [
      "example"
    ]
  }
}
Any of 3 types
  • Type: object

    clusterId

    Type: string

    ID of the Spark cluster.

    Min length: 1

    Max length: 50

    Example: example

    sparkApplication

    Type: object

    mainJarFileUri

    Type: string

    URI of the JAR file that contains the main class.

    Min length: 1

    Max length: 2047

    Example: example

    archiveUris

    Type: string[]

    Archives extracted in the Spark working directory.

    Max items: 100

    Example
    [
      "example"
    ]
    

    args

    Type: string[]

    Arguments passed to the Spark driver.

    Max items: 100

    Example
    [
      "example"
    ]
    

    excludePackages

    Type: string[]

    Maven packages excluded during dependency resolution.

    Max items: 100

    Example
    [
      "example"
    ]
    

    fileUris

    Type: string[]

    Files copied to the Spark working directory.

    Max items: 100

    Example
    [
      "example"
    ]
    

    jarFileUris

    Type: string[]

    JAR files added to the Spark classpaths.

    Max items: 100

    Example
    [
      "example"
    ]
    

    mainClass

    Type: string

    Name of the driver main class.

    Max length: 255

    Example: example

    packages

    Type: string[]

    Maven packages added to the Spark classpaths.

    Max items: 100

    Example
    [
      "example"
    ]
    

    properties

    Type: object

    [additional]

    Type: string

    Max length: 256

    Example: example

    Spark configuration properties.

    Example
    {}
    

    repositories

    Type: string[]

    Additional Maven repositories.

    Max items: 10

    Example
    [
      "example"
    ]
    
    Example
    {
      "args": [
        "example"
      ],
      "jarFileUris": [
        "example"
      ],
      "fileUris": [
        "example"
      ],
      "archiveUris": [
        "example"
      ],
      "properties": {},
      "mainJarFileUri": "example",
      "mainClass": "example",
      "packages": [
        "example"
      ],
      "repositories": [
        "example"
      ],
      "excludePackages": [
        "example"
      ]
    }
    

    catalogs

    Type: object[]

    catalogId

    Type: string

    ID of the REST catalog.

    Min length: 1

    Max length: 50

    Example: example

    REST catalogs to attach to the Spark application.

    Example
    [
      {
        "catalogId": "example"
      }
    ]
    

    name

    Type: string

    Name of the Spark application.

    Max length: 255

    Pattern: ^(?:|[a-z][-a-z0-9]{1,61}[a-z0-9])$

    Example: example

    Example
    {
      "clusterId": "example",
      "name": "example",
      "catalogs": [
        {
          "catalogId": "example"
        }
      ],
      "sparkApplication": {
        "args": [
          "example"
        ],
        "jarFileUris": [
          "example"
        ],
        "fileUris": [
          "example"
        ],
        "archiveUris": [
          "example"
        ],
        "properties": {},
        "mainJarFileUri": "example",
        "mainClass": "example",
        "packages": [
          "example"
        ],
        "repositories": [
          "example"
        ],
        "excludePackages": [
          "example"
        ]
      }
    }
    
  • Type: object

    clusterId

    Type: string

    ID of the Spark cluster.

    Min length: 1

    Max length: 50

    Example: example

    pysparkApplication

    Type: object

    mainPythonFileUri

    Type: string

    URI of the main Python file.

    Min length: 1

    Max length: 2047

    Example: example

    archiveUris

    Type: string[]

    Archives extracted in the Spark working directory.

    Max items: 100

    Example
    [
      "example"
    ]
    

    args

    Type: string[]

    Arguments passed to the PySpark driver.

    Max items: 100

    Example
    [
      "example"
    ]
    

    excludePackages

    Type: string[]

    Maven packages excluded during dependency resolution.

    Max items: 100

    Example
    [
      "example"
    ]
    

    fileUris

    Type: string[]

    Files copied to the Spark working directory.

    Max items: 100

    Example
    [
      "example"
    ]
    

    jarFileUris

    Type: string[]

    JAR files added to the Spark classpaths.

    Max items: 100

    Example
    [
      "example"
    ]
    

    packages

    Type: string[]

    Maven packages added to the Spark classpaths.

    Max items: 100

    Example
    [
      "example"
    ]
    

    properties

    Type: object

    [additional]

    Type: string

    Max length: 256

    Example: example

    Spark configuration properties.

    Example
    {}
    

    pythonFileUris

    Type: string[]

    Additional Python files passed to PySpark.

    Max items: 100

    Example
    [
      "example"
    ]
    

    repositories

    Type: string[]

    Additional Maven repositories.

    Max items: 10

    Example
    [
      "example"
    ]
    
    Example
    {
      "args": [
        "example"
      ],
      "jarFileUris": [
        "example"
      ],
      "fileUris": [
        "example"
      ],
      "archiveUris": [
        "example"
      ],
      "properties": {},
      "mainPythonFileUri": "example",
      "pythonFileUris": [
        "example"
      ],
      "packages": [
        "example"
      ],
      "repositories": [
        "example"
      ],
      "excludePackages": [
        "example"
      ]
    }
    

    catalogs

    Type: object[]

    catalogId

    Type: string

    ID of the REST catalog.

    Min length: 1

    Max length: 50

    Example: example

    REST catalogs to attach to the Spark application.

    Example
    [
      {
        "catalogId": "example"
      }
    ]
    

    name

    Type: string

    Name of the Spark application.

    Max length: 255

    Pattern: ^(?:|[a-z][-a-z0-9]{1,61}[a-z0-9])$

    Example: example

    Example
    {
      "clusterId": "example",
      "name": "example",
      "catalogs": [
        {
          "catalogId": "example"
        }
      ],
      "pysparkApplication": {
        "args": [
          "example"
        ],
        "jarFileUris": [
          "example"
        ],
        "fileUris": [
          "example"
        ],
        "archiveUris": [
          "example"
        ],
        "properties": {},
        "mainPythonFileUri": "example",
        "pythonFileUris": [
          "example"
        ],
        "packages": [
          "example"
        ],
        "repositories": [
          "example"
        ],
        "excludePackages": [
          "example"
        ]
      }
    }
    
  • Type: object

    clusterId

    Type: string

    ID of the Spark cluster.

    Min length: 1

    Max length: 50

    Example: example

    sparkConnectApplication

    Type: object

    archiveUris

    Type: string[]

    Archives extracted in the Spark working directory.

    Max items: 100

    Example
    [
      "example"
    ]
    

    excludePackages

    Type: string[]

    Maven packages excluded during dependency resolution.

    Max items: 100

    Example
    [
      "example"
    ]
    

    fileUris

    Type: string[]

    Files copied to the Spark working directory.

    Max items: 100

    Example
    [
      "example"
    ]
    

    jarFileUris

    Type: string[]

    JAR files added to the Spark classpaths.

    Max items: 100

    Example
    [
      "example"
    ]
    

    packages

    Type: string[]

    Maven packages added to the Spark classpaths.

    Max items: 100

    Example
    [
      "example"
    ]
    

    properties

    Type: object

    [additional]

    Type: string

    Max length: 256

    Example: example

    Spark configuration properties.

    Example
    {}
    

    repositories

    Type: string[]

    Additional Maven repositories.

    Max items: 10

    Example
    [
      "example"
    ]
    
    Example
    {
      "jarFileUris": [
        "example"
      ],
      "fileUris": [
        "example"
      ],
      "archiveUris": [
        "example"
      ],
      "properties": {},
      "packages": [
        "example"
      ],
      "repositories": [
        "example"
      ],
      "excludePackages": [
        "example"
      ]
    }
    

    catalogs

    Type: object[]

    catalogId

    Type: string

    ID of the REST catalog.

    Min length: 1

    Max length: 50

    Example: example

    REST catalogs to attach to the Spark application.

    Example
    [
      {
        "catalogId": "example"
      }
    ]
    

    name

    Type: string

    Name of the Spark application.

    Max length: 255

    Pattern: ^(?:|[a-z][-a-z0-9]{1,61}[a-z0-9])$

    Example: example

    Example
    {
      "clusterId": "example",
      "name": "example",
      "catalogs": [
        {
          "catalogId": "example"
        }
      ],
      "sparkConnectApplication": {
        "jarFileUris": [
          "example"
        ],
        "fileUris": [
          "example"
        ],
        "archiveUris": [
          "example"
        ],
        "properties": {},
        "packages": [
          "example"
        ],
        "repositories": [
          "example"
        ],
        "excludePackages": [
          "example"
        ]
      }
    }
    

ResponsesResponses

200 OK200 OK

Response

BodyBody

application/json
{
  "id": "example",
  "description": "example",
  "createdAt": {
    "seconds": "example",
    "nanos": 0.5
  },
  "createdBy": "example",
  "modifiedAt": {
    "seconds": "example",
    "nanos": 0.5
  },
  "done": true,
  "metadata": {},
  "error": {
    "code": 0.5,
    "message": "example",
    "details": [
      null
    ]
  },
  "response": {}
}

Name

Description

done

Type: boolean

Whether the operation has completed.

id

Type: string

Unique ID of the operation.

Example: example

metadata

Type: object

[additional]

Type: unknown

Example: null

Service-specific operation metadata.

Example
{}

createdAt

Type: object

seconds

Type: string

Number of seconds since the Unix epoch.

Example: example

nanos

Type: number

Fractional seconds in nanoseconds.

Time when the operation was created.

Example
{
  "seconds": "example",
  "nanos": 0.5
}

createdBy

Type: string

ID of the operation creator.

Example: example

description

Type: string

Description of the operation.

Example: example

error

Type: object

code

Type: number

Operation error code.

message

Type: string

Operation error message.

Example: example

details

Type: unknown[]

Additional operation error details.

Example
[
  null
]

Operation error, if the operation failed.

Example
{
  "code": 0.5,
  "message": "example",
  "details": [
    null
  ]
}

modifiedAt

Type: object

seconds

Type: string

Number of seconds since the Unix epoch.

Example: example

nanos

Type: number

Fractional seconds in nanoseconds.

Time when the operation was last modified.

Example
{
  "seconds": "example",
  "nanos": 0.5
}

response

Type: object

[additional]

Type: unknown

Example: null

Service-specific operation response.

Example
{}

Was the article helpful?

Previous
🚧 [Experimental] Get Spark application
Next
🚧 [Experimental] Cancel Spark application
© 2026 Direct Cursus Technology L.L.C.